export declare function earcut(data: ArrayLike<number>, holeIndices?: ArrayLike<number>, dim?: number): any[];
export declare function earcutDiviation(data: ArrayLike<number>, holeIndices: ArrayLike<number>, dim: number, triangles: ArrayLike<any>): number;
export declare function earcutFlatten(data: ArrayLike<any>): {
    vertices: number[];
    holes: number[];
    dimensions: any;
};
